For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sections

get

Get all location types for a site

Path parameters
siteIdstringRequired
Responses
200

Default Response

application/json
_idstringRequired
namestringRequired
colourstringRequired
parentstringOptional
cleaning_typestring · enumOptionalPossible values:
can_be_allocated_to_bookingsbooleanRequired
get/sites/{siteId}/location-types
GET /sites/{siteId}/location-types HTTP/1.1
Host: api.kitehouse.co.uk
Accept: */*
200

Default Response

[
  {
    "_id": "text",
    "name": "text",
    "colour": "text",
    "parent": "text",
    "cleaning_type": "daily",
    "can_be_allocated_to_bookings": true
  }
]
post

Create a new location type for a site

Path parameters
siteIdstringRequired
Body
namestringRequired
colourstringRequired
parentstringOptional
cleaning_typestring · enum · nullableOptionalPossible values:
can_be_allocated_to_bookingsbooleanRequired
Responses
200

Default Response

application/json
_idstringRequired
namestringRequired
colourstringRequired
can_be_allocated_to_bookingsbooleanRequired
post/sites/{siteId}/location-types
POST /sites/{siteId}/location-types HTTP/1.1
Host: api.kitehouse.co.uk
Content-Type: application/json
Accept: */*
Content-Length: 107

{
  "name": "text",
  "colour": "text",
  "parent": "text",
  "cleaning_type": "daily",
  "can_be_allocated_to_bookings": true
}
200

Default Response

{
  "_id": "text",
  "name": "text",
  "colour": "text",
  "can_be_allocated_to_bookings": true
}
delete

Delete a location type for a site

Path parameters
siteIdstringRequired
locationTypeIdstringRequired
Responses
200

Default Response

No content

delete/sites/{siteId}/location-types/{locationTypeId}
DELETE /sites/{siteId}/location-types/{locationTypeId} HTTP/1.1
Host: api.kitehouse.co.uk
Accept: */*
200

Default Response

No content

patch

Update a location type for a site

Path parameters
siteIdstringRequired
locationTypeIdstringRequired
Body
namestringRequired
colourstringRequired
parentstringOptional
cleaning_typestring · enum · nullableOptionalPossible values:
can_be_allocated_to_bookingsbooleanRequired
Responses
200

Default Response

application/json
_idstringOptional
patch/sites/{siteId}/location-types/{locationTypeId}
PATCH /sites/{siteId}/location-types/{locationTypeId} HTTP/1.1
Host: api.kitehouse.co.uk
Content-Type: application/json
Accept: */*
Content-Length: 107

{
  "name": "text",
  "colour": "text",
  "parent": "text",
  "cleaning_type": "daily",
  "can_be_allocated_to_bookings": true
}
200

Default Response

{
  "_id": "text"
}

Last updated

Was this helpful?